<?php

use Symfony\Component\HttpFoundation\Response;

/**
 * Class FlowableException
 * To throws when flowable return something unexpected
 *
 * @package WrapperFlowable\Api
 */
class FlowableException extends \Exception
{
    /**
     * FlowableException constructor.
     * @param Response $response api response
     */
    public function __construct(Response $response)
    {
        parent::__construct($response->getStringBody(), $response->getStatusCode());
    }
}
