<?php
/**
 * Responsable Fixture
 */
class ResponsableFixture extends CakeTestFixture {

/**
 * Import
 *
 * @var array
 */
	public $import = array('model' => 'Responsable');

/**
 * Records
 *
 * @var array
 */
	public $records = array(
		array(
			'id' => 1,
			'nomresponsable' => 'VERT',
			'prenomresponsable' => 'Céline',
			'emailresponsable' => 'cvert_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0600000000',
			'fonctionresponsable' => 'Président-directeur Général',
			'raisonsocialestructure' => 'Libriciel SCOP',
			'siretstructure' => '18000000000000',
			'apestructure' => '6202B',
			'telephonestructure' => '0400000000',
			'faxstructure' => null,
			'adressestructure' => '836 Rue du Mas de Verchant, 34000 Montpellier',
			'emailstructure' => 'contact-ls_recette-dp@libriciel.coop',
			'createdbyorganisation' => 1,
			'created' => '2020-06-10 00:16:04',
			'modified' => '2020-06-10 00:16:04'
		),
		array(
			'id' => 2,
			'nomresponsable' => 'CREME',
			'prenomresponsable' => 'Cédric',
			'emailresponsable' => 'ccreme_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0611111111',
			'fonctionresponsable' => 'Maire',
			'raisonsocialestructure' => 'Montpellier Méditerranée Métropole',
			'siretstructure' => '26000000000000',
			'apestructure' => '8411Z',
			'telephonestructure' => '0411111111',
			'faxstructure' => '0511111111',
			'adressestructure' => '1 Place Georges Frêche, 34267 Montpellier',
			'emailstructure' => 'contact-3m_recette-dp@libriciel.coop',
			'createdbyorganisation' => 2,
			'created' => '2020-06-10 00:16:08',
			'modified' => '2020-06-10 00:16:08'
		),
		array(
			'id' => 3,
			'nomresponsable' => 'ROUGE',
			'prenomresponsable' => 'Alain',
			'emailresponsable' => 'arouge_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0622222222',
			'fonctionresponsable' => 'Maire',
			'raisonsocialestructure' => 'Métropole Européenne de Lille',
			'siretstructure' => '34000000000000',
			'apestructure' => '8411Z',
			'telephonestructure' => '0422222222',
			'faxstructure' => '0522222222',
			'adressestructure' => '1, rue du Ballon, CS 50749, 59034 Lille CEDEX',
			'emailstructure' => 'contact-mel_recette-dp@libriciel.coop',
			'createdbyorganisation' => 3,
			'created' => '2020-06-10 00:16:11',
			'modified' => '2020-06-10 00:16:11'
		),
		array(
			'id' => 4,
			'nomresponsable' => 'CYAN',
			'prenomresponsable' => 'Isabelle',
			'emailresponsable' => 'icyan_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0633333333',
			'fonctionresponsable' => 'Maire',
			'raisonsocialestructure' => 'Metz Métropole',
			'siretstructure' => '42000000000000',
			'apestructure' => '8411Z',
			'telephonestructure' => '0433333333',
			'faxstructure' => '0533333333',
			'adressestructure' => '11 Boulevard Solidarité, 57070 Metz',
			'emailstructure' => 'contact-mm_recette-dp@libriciel.coop',
			'createdbyorganisation' => 4,
			'created' => '2020-06-10 00:16:14',
			'modified' => '2020-06-10 00:16:14'
		),
		array(
			'id' => 5,
			'nomresponsable' => 'GRENAT',
			'prenomresponsable' => 'Sylvie',
			'emailresponsable' => 'sgrenat_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0644444444',
			'fonctionresponsable' => 'Maire',
			'raisonsocialestructure' => 'Eurométropole de Strasbourg',
			'siretstructure' => '59000000000000',
			'apestructure' => '8411Z',
			'telephonestructure' => '0444444444',
			'faxstructure' => null,
			'adressestructure' => '1 Parc de l\'Étoile, 67076 Strasbourg',
			'emailstructure' => 'contact-es_recette-dp@libriciel.coop',
			'createdbyorganisation' => 5,
			'created' => '2020-06-10 00:16:17',
			'modified' => '2020-06-10 00:16:17'
		),
		array(
			'id' => 6,
			'nomresponsable' => 'BLANC',
			'prenomresponsable' => 'Jeanne',
			'emailresponsable' => 'jblanc_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0655555555',
			'fonctionresponsable' => 'Députée',
			'raisonsocialestructure' => 'Bordeaux Métropole',
			'siretstructure' => '67000000000000',
			'apestructure' => '8411Z',
			'telephonestructure' => '0455555555',
			'faxstructure' => null,
			'adressestructure' => 'Esplanade Charles de Gaulle, 33000 Bordeaux',
			'emailstructure' => 'contact-bm_recette-dp@libriciel.coop',
			'createdbyorganisation' => 6,
			'created' => '2020-06-10 00:16:21',
			'modified' => '2020-06-10 00:16:21'
		),
		array(
			'id' => 8,
			'nomresponsable' => 'ACAJOU',
			'prenomresponsable' => 'René',
			'emailresponsable' => 'racajou_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0677777777',
			'fonctionresponsable' => 'Conseiller communal',
			'raisonsocialestructure' => 'Commune de Vendargues',
			'siretstructure' => '65100000000000',
			'apestructure' => '8411Z',
			'telephonestructure' => null,
			'faxstructure' => null,
			'adressestructure' => null,
			'emailstructure' => null,
			'createdbyorganisation' => null,
			'created' => '2020-06-10 00:22:11',
			'modified' => '2020-06-10 00:22:49'
		),
		array(
			'id' => 9,
			'nomresponsable' => 'AIGUE-MARINE',
			'prenomresponsable' => 'Anne',
			'emailresponsable' => 'aaigue-marine_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0688888888',
			'fonctionresponsable' => 'Maire',
			'raisonsocialestructure' => 'Commune de Sussargues',
			'siretstructure' => '73100000000000',
			'apestructure' => '8411Z',
			'telephonestructure' => null,
			'faxstructure' => null,
			'adressestructure' => null,
			'emailstructure' => null,
			'createdbyorganisation' => null,
			'created' => '2020-06-10 00:22:15',
			'modified' => '2020-06-10 00:22:52'
		),
		array(
			'id' => 10,
			'nomresponsable' => 'ALEZAN',
			'prenomresponsable' => 'Jacques',
			'emailresponsable' => 'jalezan_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0699999999',
			'fonctionresponsable' => 'Conseiller communal',
			'raisonsocialestructure' => 'Commune de Saussan',
			'siretstructure' => '81100000000000',
			'apestructure' => '8411Z',
			'telephonestructure' => null,
			'faxstructure' => null,
			'adressestructure' => null,
			'emailstructure' => null,
			'createdbyorganisation' => null,
			'created' => '2020-06-10 00:22:18',
			'modified' => '2020-06-10 00:22:54'
		),
		array(
			'id' => 11,
			'nomresponsable' => 'AMANDE',
			'prenomresponsable' => 'Martine',
			'emailresponsable' => 'mamande_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0600000000',
			'fonctionresponsable' => 'Maire',
			'raisonsocialestructure' => 'Commune de Saint-Jean-de-Védas',
			'siretstructure' => '99100000000000',
			'apestructure' => '8411Z',
			'telephonestructure' => null,
			'faxstructure' => null,
			'adressestructure' => null,
			'emailstructure' => null,
			'createdbyorganisation' => 1,
			'created' => '2020-06-10 00:22:32',
			'modified' => '2020-06-10 00:22:57'
		),
		array(
			'id' => 12,
			'nomresponsable' => 'AMARANTE',
			'prenomresponsable' => 'Bernard',
			'emailresponsable' => 'bamarante_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0611111111',
			'fonctionresponsable' => 'Conseiller communal',
			'raisonsocialestructure' => 'Commune de Saint-Georges-d\'Orques',
			'siretstructure' => '06200000000000',
			'apestructure' => '8411Z',
			'telephonestructure' => null,
			'faxstructure' => null,
			'adressestructure' => null,
			'emailstructure' => null,
			'createdbyorganisation' => 1,
			'created' => '2020-06-10 00:22:36',
			'modified' => '2020-06-10 00:23:00'
		),
		array(
			'id' => 14,
			'nomresponsable' => 'AMETHYSTE',
			'prenomresponsable' => 'Daniel',
			'emailresponsable' => 'damethyste_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0633333333',
			'fonctionresponsable' => 'Conseiller communal',
			'raisonsocialestructure' => 'Commune de Saint-Drézéry',
			'siretstructure' => '22200000000000',
			'apestructure' => '8411Z',
			'telephonestructure' => null,
			'faxstructure' => null,
			'adressestructure' => null,
			'emailstructure' => null,
			'createdbyorganisation' => 1,
			'created' => '2020-06-10 00:22:44',
			'modified' => '2020-06-10 00:23:07'
		),
	);

}
