<table class="table">
    <!-- Titre tableau -->
    <thead>
        <tr>
            <th class="thleft col-md-10">
                <?php 
                    echo __d('connecteur', 'connecteur.titreTableauConnecteur'); 
                ?>
            </th>
            
            <th class="thleft col-md-2">
                <?php 
                    echo __d('connecteur', 'connecteur.titreTableauActions'); 
                ?>
            </th>
        </tr>
    </thead>
    
    <!-- Info tableau -->
    <tbody>
        <?php
        foreach ($connecteurs as $connecteur){
            ?>
            <tr>
                <td class="tdleft">
                    <?php
                        echo $connecteur['connecteur'];
                    ?>
                </td>

                <!-- Actions -->
                <td class="tdleft">
                    <div class="btn-group">
                        <?php
                            echo $this->Html->link($this->Html->tag('i','<!---->',['class' => 'fa fa-pencil fa-lg']), [
                                'controller' => $connecteur['controller'],
                                'action' => $connecteur['action']
                                    ], [
                                'class' => 'btn btn-default-default btn-sm my-tooltip',
                                'title' => __d('connecteur', 'connecteur.commentaireModifierConnecteur') . $connecteur['connecteur'],
                                'escape' => false
                            ]);
                        ?>
                    </div>
                </td>
            </tr>
            <?php
        }
        ?>
    </tbody>
</table>