<!-- Pop-up de modification de la position d'un traitement pour la génération -->
<div class="modal fade" id="modalAddElementToEntity" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">

        <?php
        echo $this->WebcilForm->create($controller,[
            'autocomplete' => 'off',
            'inputDefaults' => ['div' => false],
            'class' => 'form-horizontal',
            'novalidate' => 'novalidate'
        ]);
        ?>

        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>

                <h4 class="modal-title" id="myModalLabel">
                    <?php
                    echo $modalTitle;
                    ?>
                </h4>
            </div>

            <div class="modal-body">
                <?php
                echo $this->WebcilForm->input($fieldName.'.organisation_id', [
                    'id' => 'organisation_id',
                    'class' => 'form-control usersDeroulant',
                    'options' => $mesOrganisations,
                    'empty' => true,
                    'multiple' => true,
                    'data-placeholder' => __d('responsable_soustraitant','responsable_soustraitant'.'.placeholderSelectOrganisation'),
                    'label' => [
                        'text' => __d('responsable_soustraitant','responsable_soustraitant'.'.champSelectOrganisation'),
                    ]
                ]);
                ?>
            </div>

            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" class="btn btn-default-default" data-dismiss="modal">
                        <i class="fa fa-times-circle fa-lg"><!----></i>
                        <?php
                        echo __d('default', 'default.btnAnnuler');
                        ?>
                    </button>

                    <?php
                    echo $this->WebcilForm->button("<i class='fa fa-floppy-o fa-lg'><!----></i>" . __d('default', 'default.btnEnregistrer'), [
                        'id' => 'btnSave',
                        'type' => 'submit',
                        'class' => 'btn btn-default-success',
                        'escape' => false,
                    ]);
                    ?>
                </div>
            </div>
        </div>

        <?php
        echo $this->WebcilForm->end();
        ?>
    </div>
</div>
