<div class="modal fade" id="modalAddTraitement" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="myModalLabel">
                    <?php
                    echo __d('default', 'default.popupChoisirFormulaire');
                    ?>
                </h4>
            </div>

            <div class="modal-body">
                <div class="container-fluid" role="main">
                    <ul class="nav nav-tabs nav-justified" role="tablist">
                        <li class="active">
                            <a href="#formulaire_registre_activite" role="tab" data-toggle="tab">
                                <?php
                                echo __d('default', 'default.ongletFormulaireActivite');
                                ?>
                            </a>
                        </li>

                        <li>
                            <a href="#formulaire_registre_soustraitance" role="tab" data-toggle="tab">
                                <?php
                                echo __d('default', 'default.ongletFormulaireSoustraitance');
                                ?>
                            </a>
                        </li>
                    </ul>

                    <div class="tab-content">
                        <div id="formulaire_registre_activite" class="tab-pane active">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th class="col-md-3">
                                            <?php
                                            echo __d('default', 'default.popupTitreTableauNom');
                                            ?>
                                        </th>

                                        <th class="col-md-7">
                                            <?php
                                            echo __d('default', 'default.popupTitreTableauDescription');
                                            ?>
                                        </th>

                                        <th class="col-md-2">
                                            <?php
                                            echo __d('default', 'default.popupTitreTableauAction');
                                            ?>
                                        </th>
                                    </tr>
                                </thead>

                                <tbody>
                                <?php
                                foreach ($formulaires_actifs as $key => $value) {
                                    echo '<tr>
                                        <td>' . $value['Formulaire']['libelle'] . '</td>
                                        <td>' . $value['Formulaire']['description'] . '</td>
                                        <td>' . $this->Html->link(__d('default', 'default.popupBtnChoisir'), [
                                                    'controller' => 'fiches',
                                                    'action' => 'add',
                                                    $value['Formulaire']['id']
                                                ], ['class' => 'btn btn-default-default']) . '</td>
                                    </tr>';
                                }
                                ?>
                                </tbody>
                            </table>
                        </div>

                        <div id="formulaire_registre_soustraitance" class="tab-pane">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th class="col-md-3">
                                            <?php
                                            echo __d('default', 'default.popupTitreTableauNom');
                                            ?>
                                        </th>

                                        <th class="col-md-7">
                                            <?php
                                            echo __d('default', 'default.popupTitreTableauDescription');
                                            ?>
                                        </th>

                                        <th class="col-md-2">
                                            <?php
                                            echo __d('default', 'default.popupTitreTableauAction');
                                            ?>
                                        </th>
                                    </tr>
                                </thead>

                                <tbody>
                                <?php
                                foreach ($formulaires_soustraitances as $key => $value) {
                                    echo '<tr>
                                        <td>' . $value['Formulaire']['libelle'] . '</td>
                                        <td>' . $value['Formulaire']['description'] . '</td>
                                        <td>' . $this->Html->link(__d('default', 'default.popupBtnChoisir'), [
                                        'controller' => 'fiches',
                                        'action' => 'add',
                                        $value['Formulaire']['id']
                                        ], ['class' => 'btn btn-default-default']) . '</td>
                                    </tr>';
                                }
                                ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-default-default" data-dismiss="modal">
                    <i class="fa fa-times-circle fa-lg"><!----></i>
                    <?php echo(__d('default', 'default.btnAnnuler')); ?>
                </button>
            </div>
        </div>
    </div>
</div>