<!-- Pop-up modification du traitement enregistré au registre  -->
<div class="modal fade" id="modalEditRegistre" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="myModalLabel">
                    <?php echo __d('registre', 'registre.popupTitreEditionTraitementRegistre'); ?>
                </h4>
            </div>

            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12 text-warning">
                        <div class="col-md-12 text-center">
                            <i class="fa fa-exclamation-triangle fa-lg"><!----></i>
                        </div>
                        <div class="col-md-12">
                            <?php echo __d('registre', 'registre.popupText'); ?>
                        </div>
                    </div>
                </div>

                <div class="row top17">
                    <div class="col-md-12">
                        <?php
                        echo $this->Form->create('Registre', [
                            'url' => ['action' => 'edit'],
                            'class' => 'form-horizontal'
                        ]);

                        echo $this->Form->input('motif', [
                            'label' => [
                                'text' => __d('registre', 'registre.popupChampMotif') . '<span class="obligatoire"> *</span>',
                                'class' => 'col-md-2 control-label'
                            ],
                            'between' => '<div class="col-md-10">',
                            'after' => '</div>',
                            'class' => 'form-control',
                            'div' => 'form-group',
                            'required' => 'required'
                        ]);

                        echo $this->Form->hidden('idEditRegistre', [
                            'value' => '',
                            'id' => "toModif"
                        ]);
                        ?>
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" class="btn btn-default-default" data-dismiss="modal">
                        <i class="fa fa-times-circle fa-lg"><!----></i>
                        <?php echo __d('default', 'default.btnAnnuler'); ?>
                    </button>

                    <?php
                    echo $this->Form->button("<i class='fa fa-floppy-o fa-lg'><!----></i>" . __d('default', 'default.btnEnregistrer'), [
                        'type' => 'submit',
                        'class' => 'btn btn-default-success',
                        'escape' => false
                    ]);
                    ?>
                </div>

                <?php
                echo $this->Form->end();
                ?>
            </div>
        </div>
    </div>
</div>