<div class="col-md-2">    
    <ul class="nav nav-pills nav-stacked">
        <li class="active">
            <a href="#onglet_generale" role="tab" data-toggle="tab">
                <?php
                    echo __d('default', 'default.titreGenerale');
                ?>
            </a>
        </li>

        <li>
            <a href="#onglet_administrationUser" role="tab" data-toggle="tab">
                <?php
                    echo __d('default', 'default.titreAdministrationUser');
                ?>
            </a>
        </li>

        <li>
            <a href="#onglet_typages" role="tab" data-toggle="tab">
                <?php
                echo __d('default', 'default.titreTypages');
                ?>
            </a>
        </li>

        <li>
            <a href="#onglet_normes" role="tab" data-toggle="tab">
                <?php
                    echo __d('default', 'default.titreNormes');
                ?>
            </a>
        </li>

        <li>
            <a href="#onglet_sousTraitant" role="tab" data-toggle="tab">
                <?php
                    echo __d('default', 'default.titreSousTraitant');
                ?>
            </a>
        </li>

        <li>
            <a href="#onglet_responsable" role="tab" data-toggle="tab">
                <?php
                    echo __d('default', 'default.titreResponsable');
                ?>
            </a>
        </li>

        <li>
            <a href="#onglet_maintenance" role="tab" data-toggle="tab">
                <?php
                    echo __d('default', 'default.titreMaintenance');
                ?>
            </a>
        </li>
    </ul>
</div>

<div class="col-md-9">  
    <div class="tab-content">
        <div id="onglet_generale" class="tab-pane active">

            <div class="col-md-12">
                <a type="button" class="btn btn-default-menu" href="/organisations/edit/<?php echo $this->Session->read('Organisation.id');?>">
                    <div class="fa fa-building-o fa-primary fa-2x"></div>

                    <div>
                        <?php
                            echo __d('default', 'default.sousTitreGeneraleEntite');
                        ?>
                    </div>
                </a>
            
                <a type="button" class="btn btn-default-menu" href="/organisations/politiquepassword/">
                    <div class="fa fa-lock fa-primary fa-2x"></div>

                    <div>
                        <?php
                            echo __d('default', 'default.sousTitrePassword');
                        ?>
                    </div>
                </a>
            </div>
        </div>

        <div id="onglet_administrationUser" class="tab-pane">

            <div class="col-md-12">
                <a type="button" class="btn btn-default-menu" href="/roles/index/">
                    <div class="fa fa-users fa-primary fa-2x"></div>

                    <div>
                        <?php
                            echo __d('default', 'default.sousTitreProfils');
                        ?>
                    </div>
                </a>
            
                <a type="button" class="btn btn-default-menu" href="/services/index/">
                    <div class="fa fa-sitemap fa-primary fa-2x"></div>

                    <div>
                        <?php
                            echo __d('default', 'default.sousTitreServices');
                        ?>
                    </div>
                </a>
            
                <a type="button" class="btn btn-default-menu" href="/users/index/">
                    <div class="fa fa-user fa-primary fa-2x"></div>

                    <div>
                        <?php
                            echo __d('default', 'default.sousTitreUser');
                        ?>
                    </div>
                </a>
            </div>
        </div>

        <div id="onglet_typages" class="tab-pane">
            <div class="col-md-12">
                <a type="button" class="btn btn-default-menu" href="/typages/index/">
                    <div class="fa fa-list-alt fa-primary fa-2x"></div>

                    <div>
                        <?php
                        echo __d('default', 'default.sousTitreTypagesAnnexes');
                        ?>
                    </div>
                </a>

                <a type="button" class="btn btn-default-menu" href="/typages/entite/">
                    <div class="fa fa-link fa-primary fa-2x"></div>

                    <div>
                        <?php
                        echo __d('default', 'default.sousTitreMesTypesAnnexes');
                        ?>
                    </div>
                </a>
            </div>
        </div>

        <div id="onglet_normes" class="tab-pane">
            <div class="col-md-12">
                <a type="button" class="btn btn-default-menu" href="/normes/index/">
                    <div class="fa fa-certificate fa-primary fa-2x"></div>

                    <div>
                        <?php
                            echo __d('default', 'default.sousTitreLesNormes');
                        ?>
                    </div>
                </a>
            </div>
        </div>

        <div id="onglet_sousTraitant" class="tab-pane">

            <div class="col-md-12">
                <a type="button" class="btn btn-default-menu" href="/soustraitants/index/">
                    <div class="fa fa-list-alt fa-primary fa-2x"></div>

                    <div>
                        <?php
                            echo __d('default', 'default.sousTitreLesSousTraitants');
                        ?>
                    </div>
                </a>
                
                <a type="button" class="btn btn-default-menu" href="/soustraitants/entite/">
                    <div class="fa fa-link fa-primary fa-2x"></div>

                    <div>
                        <?php
                            echo __d('default', 'default.sousTitreMesSousTraitants');
                        ?>
                    </div>
                </a>
            </div>
        </div>

        <div id="onglet_responsable" class="tab-pane">

            <div class="col-md-12">
                <a type="button" class="btn btn-default-menu" href="/responsables/index/">
                    <div class="fa fa-list-alt fa-primary fa-2x"></div>

                    <div>
                        <?php
                            echo __d('default', 'default.sousTitreListeResponsable');
                        ?>
                    </div>
                </a>
                
                <a type="button" class="btn btn-default-menu" href="/responsables/entite/">
                    <div class="fa fa-link fa-primary fa-2x"></div>

                    <div>
                        <?php
                            echo __d('default', 'default.sousTitreMesResponsables');
                        ?>
                    </div>
                </a>
            </div>
        </div>

        <div id="onglet_maintenance" class="tab-pane">

            <div class="col-md-12">
                <a type="button" class="btn btn-default-menu" href="/connecteurs/index/">
                    <div class="fa fa-plug fa-primary fa-2x"></div>

                    <div>
                        <?php
                            echo __d('default', 'default.sousTitreConnecteurs');
                        ?>
                    </div>
                </a>
                
                <a type="button" class="btn btn-default-menu" href="/crons/index/">
                    <div class="fa fa-clock-o fa-primary fa-2x"></div>

                    <div>
                        <?php
                            echo __d('default', 'default.sousTitreTachesAutomatiques');
                        ?>
                    </div>
                </a>
            </div>
        </div>
    </div>
</div>