<?php
    if (isset($this->validationErrors['Role']) && !empty($this->validationErrors['Role'])):?>
	<div class="alert alert-danger" role="alert">
            <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"><!----></span>
            <span class="sr-only">Error:</span>
            Ces erreurs se sont produites:
            <ul>
                <?php
                    foreach ($this->validationErrors as $donnees) {
                        foreach ($donnees as $champ) {
                            foreach ($champ as $error) {
                                echo '<li>' . $error . '</li>';
                            }
                        }
                    }
                ?>
            </ul>
	</div>
<?php endif;?>

<?php
    echo $this->WebcilForm->create('Role',[
        'autocomplete' => 'off',
        'inputDefaults' => ['div' => false],
        'class' => 'form-horizontal',
        'novalidate' => 'novalidate'
    ]);
?>
    
<div class="users form">
    <div class="col-md-6">
        <?php
            echo $this->WebcilForm->inputs([
                'id' => [
                    'type' => 'hidden'
                ],
                'libelle' => [
                    'id' => 'libelle',
                    'required' => true,
                    'readonly' => true
                ]
            ]);
            
            if ($ldap === true) {
                echo $this->element('LdapManager.groups', ['model' => 'Role']);
            }
        ?>
    </div>

    <div class="col-md-6">
        <fieldset id="droits-block" class="organisation-block">
            <?php
                echo $this->Html->tag('legend', 'Droits');

                echo $this->Form->input('ListeDroit.ListeDroit', [
                    'type' => 'select',
                    'multiple' => 'checkbox',
                    'options' => $options['ListeDroit']['ListeDroit'],
                    'label' => false,
                    'between' => '<div class="col-md-8">',
                    'after' => '</div>'
                ]);
            ?>
        </fieldset>
    </div>
</div>

<div style="clear: both">
    <?php
        echo $this->WebcilForm->buttons(['Cancel', 'Save']);
    ?>
</div>

<?php
    echo $this->WebcilForm->end();
