<?php
/**
 * User Fixture
 */
class UserFixture extends CakeTestFixture {

/**
 * Import
 *
 * @var array
 */
	public $import = array('model' => 'User');

/**
 * Records
 *
 * @var array
 */
	public $records = array(
		array(
			'id' => 1,
			'civilite' => 'M.',
			'nom' => 'ADMIN',
			'prenom' => 'Super',
			'username' => 'superadmin',
			'password' => 'b89e933ad5926b14346d323e4cd17237385007ce',
			'password_force' => null,
			'email' => 'admin@test.fr',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:15:34.390532',
			'modified' => '2020-06-10 00:15:34.390532',
			'ldap' => 0
		),
		array(
			'id' => 2,
			'civilite' => 'M.',
			'nom' => 'ADMIN EN SECOND',
			'prenom' => 'Super',
			'username' => 'superadmin2',
			'password' => '9aad53562cf915545ff6aca14a321c1189a8383b',
			'password_force' => 5,
			'email' => 'admin2@test.fr',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:17:04',
			'modified' => '2020-06-10 00:17:04',
			'ldap' => 0
		),
		array(
			'id' => 3,
			'civilite' => 'Mme.',
			'nom' => 'BLEU',
			'prenom' => 'Inès',
			'username' => 'ibleu',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'ibleu_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:17:11',
			'modified' => '2020-06-10 00:17:11',
			'ldap' => 0
		),
		array(
			'id' => 4,
			'civilite' => 'Mme.',
			'nom' => 'INDIGO',
			'prenom' => 'Françoise',
			'username' => 'findigo',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'findigo_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:17:16',
			'modified' => '2020-06-10 00:17:16',
			'ldap' => 0
		),
		array(
			'id' => 5,
			'civilite' => 'M.',
			'nom' => 'GRIS',
			'prenom' => 'Jean',
			'username' => 'jgris',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'jgris_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:17:21',
			'modified' => '2020-06-10 00:17:21',
			'ldap' => 0
		),
		array(
			'id' => 6,
			'civilite' => 'M.',
			'nom' => 'SEPIA',
			'prenom' => 'Louis',
			'username' => 'lsepia',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'lsepia_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:17:25',
			'modified' => '2020-06-10 00:17:25',
			'ldap' => 0
		),
		array(
			'id' => 7,
			'civilite' => 'Mme.',
			'nom' => 'RUBIS',
			'prenom' => 'Madeleine',
			'username' => 'mrubis',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'mrubis_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:17:30',
			'modified' => '2020-06-10 00:17:30',
			'ldap' => 0
		),
		array(
			'id' => 8,
			'civilite' => 'Mme.',
			'nom' => 'JAUNE',
			'prenom' => 'Rébecca',
			'username' => 'rjaune',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'rjaune_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:18:24',
			'modified' => '2020-06-10 00:18:24',
			'ldap' => 0
		),
		array(
			'id' => 9,
			'civilite' => 'M.',
			'nom' => 'NOIR',
			'prenom' => 'Christian',
			'username' => 'cnoir',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'cnoir_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:18:28',
			'modified' => '2020-06-10 00:18:28',
			'ldap' => 0
		),
		array(
			'id' => 10,
			'civilite' => 'Mme.',
			'nom' => 'ROSE',
			'prenom' => 'Michèle',
			'username' => 'mrose',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'mrose_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:18:31',
			'modified' => '2020-06-10 00:18:31',
			'ldap' => 0
		),
		array(
			'id' => 11,
			'civilite' => 'Mme.',
			'nom' => 'ROUX',
			'prenom' => 'Nicole',
			'username' => 'nroux',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'nroux_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:18:34',
			'modified' => '2020-06-10 00:18:34',
			'ldap' => 0
		),
		array(
			'id' => 12,
			'civilite' => 'M.',
			'nom' => 'MAGENTA',
			'prenom' => 'Pierre',
			'username' => 'pmagenta',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'pmagenta_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:18:38',
			'modified' => '2020-06-10 00:18:38',
			'ldap' => 0
		),
		array(
			'id' => 13,
			'civilite' => 'M.',
			'nom' => 'MAUVE',
			'prenom' => 'André',
			'username' => 'amauve',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'amauve_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:18:40',
			'modified' => '2020-06-10 00:18:40',
			'ldap' => 0
		),
		array(
			'id' => 14,
			'civilite' => 'Mme.',
			'nom' => 'AZUR',
			'prenom' => 'Monique',
			'username' => 'mazur',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'mazur_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:18:43',
			'modified' => '2020-06-10 00:18:43',
			'ldap' => 0
		),
		array(
			'id' => 15,
			'civilite' => 'Mme.',
			'nom' => 'VERMEIL',
			'prenom' => 'Hélène',
			'username' => 'hvermeil',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'hvermeil_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:18:46',
			'modified' => '2020-06-10 00:18:46',
			'ldap' => 0
		),
		array(
			'id' => 16,
			'civilite' => 'Mme.',
			'nom' => 'ORANGE',
			'prenom' => 'Stéphanie',
			'username' => 'sorange',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'sorange_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:18:49',
			'modified' => '2020-06-10 00:18:49',
			'ldap' => 0
		),
		array(
			'id' => 17,
			'civilite' => 'M.',
			'nom' => 'LAVANDE',
			'prenom' => 'Patrick',
			'username' => 'plavande',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'plavande_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:18:52',
			'modified' => '2020-06-10 00:18:52',
			'ldap' => 0
		),
		array(
			'id' => 18,
			'civilite' => 'Mme.',
			'nom' => 'LILAS',
			'prenom' => 'Marguerite',
			'username' => 'mlilas',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'mlilas_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:18:55',
			'modified' => '2020-06-10 00:18:55',
			'ldap' => 0
		),
		array(
			'id' => 19,
			'civilite' => 'Mme.',
			'nom' => 'PAILLE',
			'prenom' => 'Valérie',
			'username' => 'vpaille',
			'password' => '8fd5df111e037a02e87dfb367e22d5f0cc387768',
			'password_force' => 4,
			'email' => 'vpaille_recette-dp@libriciel.coop',
			'telephonefixe' => null,
			'telephoneportable' => null,
			'notification' => 0,
			'created' => '2020-06-10 00:18:58',
			'modified' => '2020-06-10 00:18:58',
			'ldap' => 0
		),
	);

}
