<?php
	/**
	 * Code source de la classe ListeDroitFixture.
	 *
	 * PHP 5.3
	 *
	 * @package     app.Test.Fixture
	 * @license     [GNU Affero General Public License version 3](http://www.gnu.org/licenses/agpl-3.0.html) - AGPL v3
	 */
	/**
	 * La classe ListeDroitFixture ...
	 *
	 * @package app.Test.Fixture
	 */
	class ListeDroitFixture extends CakeTestFixture
	{

		/**
		 * On importe la définition de la table, pas les enregistrements.
		 *
		 * @var array
		 */
		public $import = [
			'model' => 'ListeDroit',
			'records' => false
		];

		/**
		 * Définition des enregistrements.
		 *
		 * @var array
		 */
		public $records = [
			1 => [
				'libelle' => 'Rédiger un traitement',
				'value' => 1,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			2 => [
				'libelle' => 'Valider un traitement',
				'value' => 2,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			3 => [
				'libelle' => 'Viser un traitement',
				'value' => 3,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			4 => [
				'libelle' => 'Consulter le registre',
				'value' => 4,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			5 => [
				'libelle' => 'Insérer un traitement dans le registre',
				'value' => 5,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			6 => [
				'libelle' => 'Modifier un traitement du registre',
				'value' => 6,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			7 => [
				'libelle' => 'Télécharger un traitement du registre',
				'value' => 7,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			8 => [
				'libelle' => 'Créer un utilisateur',
				'value' => 8,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			9 => [
				'libelle' => 'Modifier un utilisateur',
				'value' => 9,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			10 => [
				'libelle' => 'Supprimer un utilisateur',
				'value' => 10,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			11 => [
				'libelle' => 'Créer une organisation',
				'value' => 11,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			12 => [
				'libelle' => 'Modifier une organisation',
				'value' => 12,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			13 => [
				'libelle' => 'Créer un profil',
				'value' => 13,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			14 => [
				'libelle' => 'Modifier un profil',
				'value' => 14,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			],
			15 => [
				'libelle' => 'Supprimer un profil',
				'value' => 15,
				'created' => '2017-07-25 09:07:53.322381',
				'modified' => '2017-07-25 09:07:53.322381'
			]
		];

	}
?>