<?php
$pagination = null;

if (!empty($articles)) {
    $this->Paginator->options(
    array( 'url' => Hash::flatten( (array)$this->request->data, '.' ) )
    );
    $pagination = $this->element('pagination');

    echo $pagination;
    ?>
    <table class="table ">
        <thead>
        <tr>
            <!--  Nom -->
            <th class="thleft col-md-6">
                <?php echo __d('article', 'article.titreTableauNameArticle'); ?>
            </th>

            <!-- Actions -->
            <th class="thleft col-md-2">
                <?php echo __d('article', 'article.titreTableauAction'); ?>
            </th>
        </tr>
        </thead>

        <tbody>
        <?php
        foreach ($articles as $article) {
            ?>
            <tr>
                <!--  Name -->
                <td class="tdleft">
                    <?php
                    echo $article['Article']['name'];
                    ?>
                </td>

                <!-- Actions -->
                <td class="tdleft col-md-2">
                    <div class="btn-group">
                        <?php
                        echo $this->Html->link('<span class="fa fa-eye fa-lg"><!----></span>', [
                            'controller' => 'articles',
                            'action' => 'consulter',
                            $article['Article']['id']
                        ], [
                            'class' => 'btn btn-default-default btn-sm my-tooltip',
                            'title' => __d('article', 'article.commentaireBtnVisualiserArticle'),
                            'escape' => false,
                        ]);
                        ?>
                    </div>
                </td>
            </tr>
            <?php
        }
        ?>
        </tbody>
    </table>
    <?php
    echo $pagination;
} else {
    ?>
    <div class='text-center'>
        <h3>
            <?php
            echo __d('article', 'article.textAucunArticleEntite');
            ?>
        </h3>
    </div>
    <?php
}
?>

<script type="text/javascript">

    $(document).ready(function () {

        $("#divFiltrage").hide();

        $("#filtrage").click(function () {
            $("#divFiltrage").slideToggle(400);
        });

    });

</script>
