<div class="modal fade" id="modalChangeEntite" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>

                <h4 class="modal-title" id="myModalLabel">
                    <?php echo __d('pannel', 'pannel.popupAdministrerEntite'); ?>
                </h4>
            </div>

            <div class="modal-body">
                <div class="row form-group">
                    <?php
                    echo $this->Form->create('Organisation', [
                        'url' => [
                            'controller' => 'organisations',
                            'action' => 'change'
                        ]
                    ]);

                    echo $this->WebcilForm->input('Organisation.organisationcible', [
                        'id' => 'organisationcible',
                        'options' => $listeMesOrganisation,
                        'class' => 'usersDeroulant transformSelect form-control',
                        'required' => true,
                        'empty' => true,
                        'placeholder' => false,
                        'data-placeholder' => ' '
                    ]);
                    ?>
                </div>
            </div>

            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" class="btn btn-default-default" data-dismiss="modal">
                        <i class="fa fa-times-circle fa-lg"><!----></i>
                        <?php echo __d('default', 'default.btnAnnuler'); ?>
                    </button>

                    <?php
                    echo $this->Form->button("<i class='fa fa-wrench fa-lg'>&nbsp;</i>" . __d('organisation', 'organisation.btnAdministrerEntite'), [
                        'type' => 'submit',
                        'class' => 'btn btn-default-success',
                        'escape' => false
                    ]);
                    ?>
                </div>

                <?php
                echo $this->Form->end();
                ?>
            </div>
        </div>
    </div>
</div>