<div class="modal fade" id="modalAddCondtion" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="myModalLabel">
                    <?php
                    echo "Ajouter une condition un champ";
                    ?>
                </h4>
            </div>

            <div class="modal-body">
                <?php
                echo $this->WebcilForm->create('modalConditions', [
                    'url' => '#'
                ]);
                ?>

                <div class="row form-group">
                    <?php
                    echo $this->WebcilForm->input('Fiche.ifTheFields', [
                        'id' => 'ifTheField',
                        'options' => [
                            'transfert_hors_ue' => 'Les données du traitement, font l\'objet d\'un transfert hors l\'UE ?',
                            'donnees_sensibles' => 'Les données traitées sont qualifiées de \'données sensibles\' ?'
                        ],
                        'empty' => true,
                        'class' => 'transformSelect form-control',
                        'placeholder' => false,
                        'required' => true,
                        'data-placeholder' => ' ',
                        'label' => [
                            'text' => __d('formulaire', 'formulaire.champIfTheField')
                        ],
                    ]);
                    ?>
                </div>

                <div class="row form-group">
                    <?php
                    echo $this->WebcilForm->input('Fiche.hasValue', [
                        'id' => 'hasValue',
                        'options' => [],
                        'empty' => true,
                        'class' => 'transformSelect form-control',
                        'placeholder' => false,
                        'required' => true,
                        'data-placeholder' => ' ',
                        'label' => [
                            'text' => __d('formulaire', 'formulaire.champHasValue')
                        ],
                    ]);
                    echo $this->WebcilForm->input('Fiche.hasValueMulti', [
                        'id' => 'hasValueMulti',
                        'options' => [],
                        'empty' => true,
                        'class' => 'form-control usersDeroulant',
                        'placeholder' => false,
                        'required' => true,
                        'data-placeholder' => ' ',
                        'label' => [
                            'text' => __d('formulaire', 'formulaire.champHasValue')
                        ],
                        'multiple' => true,
                    ]);
                    ?>
                </div>

                <div class="row form-group">
                    <?php
                    echo $this->WebcilForm->input('Fiche.thenTheField', [
                        'id' => 'thenTheField',
                        'options' => [],
                        'empty' => true,
                        'class' => 'transformSelect form-control',
                        'placeholder' => false,
                        'required' => true,
                        'data-placeholder' => ' ',
                        'label' => [
                            'text' => __d('formulaire', 'formulaire.champThenTheField')
                        ],
                    ]);
                    ?>
                </div>

                <div class="row form-group">
                    <?php
                    echo $this->WebcilForm->input('Fiche.mustBe', [
                        'id' => 'mustBe',
                        'options' => [
                            'shown' => "affiché",
                            'hidden' => "caché"
                        ],
                        'empty' => true,
                        'class' => 'transformSelect form-control',
                        'placeholder' => false,
                        'required' => true,
                        'data-placeholder' => ' ',
                        'label' => [
                            'text' => __d('formulaire', 'formulaire.champMustBe')
                        ],
                    ]);
                    ?>
                </div>

                <div class="row form-group">
                    <?php
                    echo $this->WebcilForm->input('Fiche.ifNot', [
                        'id' => 'ifNot',
                        'options' => [
                            'shown' => "affiché",
                            'hidden' => "caché"
                        ],
                        'empty' => true,
                        'class' => 'transformSelect form-control',
                        'placeholder' => false,
                        'required' => true,
                        'readonly' => true,
                        'disabled' => true,
                        'data-placeholder' => ' ',
                        'label' => [
                            'text' => __d('formulaire', 'formulaire.champIfNot')
                        ],
                    ]);
                    ?>
                </div>
            </div>

            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" class="btn btn-default-default" data-dismiss="modal">
                        <i class="fa fa-times-circle fa-lg"><!----></i>
                        <?php
                        echo __d('default', 'default.btnAnnuler');
                        ?>
                    </button>

                    <button id="saveCondition" type="button" class="btn btn-default-success" >
                        <i class="fa fa-floppy-o fa-lg"><!----></i>
                        <?php
                        echo __d('default', 'default.btnEnregistrer');
                        ?>
                    </button>
                </div>
            </div>

        </div>
    </div>
</div>

<script type="text/javascript">

    $(document).ready(function () {
        let idContainer = null,
            idFieldConditionCreated = null;

        $('#btn-condition-formulaire, #btn-condition-coresponsable, #btn-condition-soustraitant').click(function () {
            hideAllFields();
            $('#ifTheField option').slice(3).remove();

            idContainer = '#' + $(this).parent().parent().nextAll('.form-container').attr('id');
            if (!idContainer) {
                return false;
            }

            $(idContainer).find('.ui-selected').removeClass('ui-selected');
            $('.field-options >div').remove();

            if ($(idContainer).find('.draggable').length <= 0 ) {
                alert('Vous devez au minimum créé un champ avant de pouvoir ajouter une condition');
                return false;
            }

            $(idContainer).find('.draggable').filter('.checkboxes, .radios, .deroulant, .multi-select').each(function (key, field) {
                let name = $(field).find('input, option').attr('name'),
                    label = $(field).find('.labeler').html();

                if (name && label) {
                    $('#ifTheField').append('<option value="' + name + '">' + label + '</option>');
                }
            });
        });

        $('#ifTheField').change(function () {
            hideAllFields();

            idFieldConditionCreated = $(this).val();

            let showHasValueMulti = false;

            if (!idFieldConditionCreated) {
                hideAllFields();
            } else {
                if (jQuery.inArray(idFieldConditionCreated, ['transfert_hors_ue', 'donnees_sensibles']) !== -1) {
                    // On recupere les "options" du champ "selected" sur lequel nous allons faire la condition
                    $('#'+idFieldConditionCreated).find('option').each(function () {
                        let option = $(this).attr('value'),
                            label = $(this).text();

                        if (option && label) {
                            $('#hasValue').append('<option value="' + option + '">' + label + '</option>');
                        }
                    });
                } else {
                    // On recupere les "options" du champ "selected" sur lequel nous allons faire la condition
                    if ($('#'+idFieldConditionCreated).is("select")) {
                        // Champs "Menu multi-select" ou "Menu déroulant"
                        $(idContainer).find('input[name ="'+idFieldConditionCreated+'"],option[name ="'+idFieldConditionCreated+'"]').each(function () {
                            let value = $(this).attr('value'),
                                labelValue = $(this).text();

                            if (value && labelValue) {
                                if ($(this).attr('type')) {
                                    $('#hasValue').append('<option value="' + value + '">' + labelValue + '</option>');
                                } else {
                                    let newOption = new Option(labelValue, value, false, false);
                                    $('#hasValueMulti').append(newOption).trigger('change');
                                }
                            }
                        });
                    } else {
                        // Champs "Case à cocher" ou "Choix unique"
                        $(idContainer).find('input[name ="'+idFieldConditionCreated+'"], option[name ="'+idFieldConditionCreated+'"]').each(function () {
                            let option = null,
                                id = null;

                            if ($(this).attr('type') == 'checkbox') {
                                showHasValueMulti = true;
                                option = $(this).next('label').text();
                            } else {
                                option = $(this).attr('value');
                            }

                            if ($(this).attr('type') == 'radio') {
                                id = $(this).attr('value');
                            } else {
                                id = $(this).attr('id');
                            }

                            if (option && id) {

                                if (showHasValueMulti === true) {
                                    let newOption = new Option(option, id, false, false);
                                    $('#hasValueMulti').append(newOption).trigger('change');
                                } else {
                                    $('#hasValue').append('<option value="' + id + '">' + option + '</option>');
                                }
                            }
                        });
                    }
                }

                if ($('#'+idFieldConditionCreated).hasClass('multiSelect') === true ||
                    showHasValueMulti === true
                ) {
                    $('#hasValueMulti').parent().parent().show();
                } else {
                    $('#hasValue').parent().parent().show();
                }
            }
        });

        $('#hasValue, #hasValueMulti').change(function () {
            let valueSelected = $(this).val();

            $('#thenTheField').parent().parent().hide();
            $('#thenTheField option').not(':first').remove();

            $('#mustBe').parent().parent().hide();
            $('#mustBe').val('');

            $('#ifNot').parent().parent().hide();
            $('#ifNot').val('');

            if (valueSelected) {
                let fieldsContainer = $(idContainer).find('.draggable');
                if (!fieldsContainer) {
                    return false;
                }

                $.each(fieldsContainer, function (key, field) {
                    let name = $(field).find('input, textarea, option').attr('name'),
                        label = $(field).find('.labeler').html();

                    if (name && label) {
                        if (name != idFieldConditionCreated) {
                            $('#thenTheField').append('<option value="' + name + '">' + label + '</option>');
                        }
                    }
                });

                $('#thenTheField').parent().parent().show();
            }
        });

        $('#thenTheField').change(function () {
            let val = $(this).val();

            if (!val) {
                $('#mustBe').parent().parent().hide();
                $('#mustBe').val('');

                $('#ifNot').parent().parent().hide();
                $('#ifNot').val('');
            } else {
                $('#mustBe').parent().parent().show();
            }
        });

        $('#mustBe').change(function () {
            let mustBeValue = $(this).val();

            if (!mustBeValue) {
                $('#ifNot').parent().parent().hide();
                $('#ifNot').val('');
            } else {
                if (mustBeValue == 'shown') {
                    $('#ifNot').val('hidden');
                }

                if (mustBeValue == 'hidden') {
                    $('#ifNot').val('shown');
                }

                $('#ifNot').parent().parent().show();
            }
        });

        $('#saveCondition').click(function () {
            $('div.error-message').remove();

            let ifTheField = $('#ifTheField').val(),
                hasValue = $('#hasValue').val(),
                thenTheField = $('#thenTheField').val(),
                mustBe = $('#mustBe').val(),
                ifNot = $('#ifNot').val(),
                success = true;

            if (!ifTheField) {
                $('#ifTheField').parent().parent().append('<div class="error-message">Champ obligatoire</div>');
                success = false;
            }

            if (!hasValue) {
                hasValue = $('#hasValueMulti').val();
                if (!hasValue) {
                    $('#hasValue').parent().parent().append('<div class="error-message">Champ obligatoire</div>');
                    success = false;
                }
            }

            if (!thenTheField) {
                $('#thenTheField').parent().parent().append('<div class="error-message">Champ obligatoire</div>');
                success = false;
            }

            if (!mustBe) {
                $('#mustBe').parent().parent().append('<div class="error-message">Champ obligatoire</div>');
                success = false;
            }

            if (!ifNot) {
                $('#ifNot').parent().parent().append('<div class="error-message">Champ obligatoire</div>');
                success = false;
            }

            if (success == false) {
                return success;
            }

            objCondition = {
                'ifTheField' : ifTheField,
                'hasValue' : hasValue,
                'thenTheField' : thenTheField,
                'mustBe' : mustBe,
                'ifNot' : ifNot
            };

            let conditions = {};
            conditions[uuidv4()] = objCondition;

            let idContainer = '#' + $('.form-container').attr('id');

            // On selectionne le champs qui va recevoir la condition
            let fieldChoose = $(idContainer).find('input[name ="' + thenTheField + '"], textarea[name ="' + thenTheField + '"], option[name ="' + thenTheField + '"]').closest('.draggable');

            let otherConditions = $(fieldChoose).attr('data-virtual-conditions');
            if (otherConditions) {
                $.each(JSON.parse(otherConditions), function (key, value) {
                    conditions[key] = value
                });
            }

            $(fieldChoose).attr('data-virtual-conditions', JSON.stringify(conditions));

            $('#modalAddCondtion').modal('toggle');
        });

        $('#modalAddCondtion').on('hidden.bs.modal', function () {
            hideAllFields();
            $('#ifTheField option').slice(3).remove();
            $('#ifTheField').val('');
        })
    });

    function hideAllFields()
    {
        $('#hasValue').parent().parent().hide();
        $('#hasValueMulti').parent().parent().hide();
        $('#thenTheField').parent().parent().hide();
        $('#mustBe').parent().parent().hide();
        $('#ifNot').parent().parent().hide();

        removeValuesAllFields();
    }

    function removeValuesAllFields()
    {
        $('#hasValue option').not(':first').remove();
        $('#hasValueMulti option').not(':first').remove();
        $('#thenTheField option').not(':first').remove();
        $('#mustBe').val('');
        $('#ifNot').val('');
    }

    function uuidv4() {
        // return ([1e7]+-1e3+-4e3+-8e3+-1e11).replace(/[018]/g, c =>
        return ([1e3]+-1e3).replace(/[018]/g, c =>
            (c ^ crypto.getRandomValues(new Uint8Array(1))[0] & 15 >> c / 4).toString(16)
        );
    }

</script>