<?php
$empty = false;
if ($this->request->params['action'] == 'add'){
    $empty = true;
}
?>

<!-- Onglet Information complémentaire -->
<div id="info_complementaire" class="tab-pane">
    <br>

    <!-- Information concernant la sous-finalité -->
    <div class="col-md-12">
        <span class='labelFormulaire'>
            <?php
            echo __d('fiche', 'fiche.textInfoTraitementComplementaire');
            ?>
        </span>
        <div class="row row35"></div>
    </div>

    <div class="row">
        <!-- Colonne de gauche -->
        <div class="col-md-8">
            <?php
            echo $this->WebcilForm->input('usesousfinalite', [
                'id' => 'usesousfinalite',
                'options' => [
                    true => 'Oui',
                    false => 'Non'
                ],
                'empty' => false,
                'default' => true,
                'class' => 'transformSelect form-control',
                'placeholder' => false,
                'required' => true,
                'data-placeholder' => ' '
            ]);
            ?>
        </div>

        <div class="col-md-4"></div>
    </div>

    <div class="row">
        <!-- Information concernant les données sensibles -->
        <div id="infoSupSousFinalite" class="col-md-12" style="background-color: #f5f3f3;">
            <div id="AddDonneesSensibles">
                <a id="AddDonneesSensiblesFileBox" class="btn btn-info">Ajouter une sous-finalité</a>
                <br><br>
            </div>
        </div>
    </div>

    <hr>

    <div class="row">
        <!-- Colonne de gauche -->
        <div class="col-md-8">
            <?php
            echo $this->WebcilForm->input('usebaselegale', [
                'id' => 'usebaselegale',
                'options' => [
                    true => 'Oui',
                    false => 'Non'
                ],
                'class' => 'transformSelect form-control',
                'empty' => $empty,
                'placeholder' => false,
                'required' => true,
                'data-placeholder' => ' '
            ]);
            ?>
        </div>

        <div class="col-md-4"></div>
    </div>

    <div class="row">
        <div id="infoSupBaseLegale" class="col-md-12" style="background-color: #f5f3f3;">
            <!-- Colonne de gauche -->
            <div class="col-md-6">

                <?php
                echo $this->WebcilForm->input('Fiche.baselegale', [
                    'label' => [
                        'text' => $this->Html->tag(
                            'abbr',
                            __d('fiche', 'fiche.champBaselegale'),
                            [
                                'data-content' => nl2br(__d('fiche', 'fiche.champBaselegaleDefinition')),
                                'class' => 'popoverText'
                            ]
                        )
                    ],
                    'multiple' => 'checkbox',
                    'class' => 'checkbox fieldReadonly',
                    'options' => Fiche::LISTE_BASE_LEGALE,
                    'div' => "input select"
                ]);
                ?>
            </div>
        </div>

        <div class="col-md-6"></div>
    </div>

    <hr>

    <div class="row">
        <!-- Colonne de gauche -->
        <div class="col-md-8">
            <?php
            echo $this->WebcilForm->input('usedecisionautomatisee', [
                'id' => 'usedecisionautomatisee',
                'options' => [
                    true => 'Oui',
                    false => 'Non'
                ],
                'class' => 'transformSelect form-control',
                'placeholder' => false,
                'empty' => $empty,
                'required' => true,
                'data-placeholder' => ' '
            ]);
            ?>
        </div>

        <div class="col-md-4"></div>
    </div>

    <br>

    <div class="row">
        <div id="infoSupDecisionAutomatisee" class="col-md-12" style="background-color: #f5f3f3;">
            <!-- Colonne de gauche -->
            <div class="col-md-6">
                <?php
                echo $this->WebcilForm->input('Fiche.decisionAutomatisee', [
                    'options' => [
                        'Oui' => 'Oui',
                        'Non' => 'Non'
                    ],
                    'class' => 'transformSelect form-control fieldReadonly',
                    'empty' => true,
                    'placeholder' => false,
                    'data-placeholder' => ' ',
                    'readonly' => true
                ]);
                ?>
            </div>

            <!-- Colonne de droite -->
            <div class="col-md-6">
                <?php
                echo $this->WebcilForm->input('Fiche.descriptionDecisionAutomatisee', [
                    'type' => 'textarea',
                    'required' => true,
                    'placeholder' => false,
                    'readonly' => true
                ]);
                ?>
            </div>
        </div>
    </div>

    <hr>

    <div class="row">
        <!-- Colonne de gauche -->
        <div class="col-md-8">
            <?php
            echo $this->WebcilForm->input('usetransferthorsue', [
                'id' => 'useTransfertHorsUe',
                'options' => [
                    true => 'Oui',
                    false => 'Non'
                ],
                'class' => 'transformSelect form-control',
                'placeholder' => false,
                'empty' => $empty,
                'required' => true,
                'data-placeholder' => ' '
            ]);
            ?>
        </div>

        <div class="col-md-4"></div>
    </div>

    <div id="infoSupTransfertHorsUe" class="row">
        <div class="alert alert-warning" role="alert">
            <?php
            echo __d('formulaire', 'formulaire.infoWarningTransfertHorsUe');
            ?>
        </div>

        <!-- Information concernant le transfert hors UE -->
        <div class="col-md-12" style="background-color: #f5f3f3;">
            <div class="col-md-12">
                <span class='labelFormulaire'>
                    <?php
                    echo __d('fiche', 'fiche.textInfoTransfereHorsUEComplementaire');
                    ?>
                </span>
                <div class="row row35"></div>
            </div>

            <div class="col-md-6">
                <?php
                echo $this->WebcilForm->inputs([
                    'Fiche.organismeDestinataireHorsUe' => [
                        'required' => true,
                        'placeholder' => false,
                        'readonly' => true,
                    ],
                    'Fiche.typeGarantieHorsUe' => [
                        'options' => Fiche::TYPE_GARANTIE_HORS_UE,
                        'class' => 'transformSelect form-control fieldReadonly',
                        'placeholder' => false,
                        'empty' => true,
                        'required' => true,
                        'readonly' => true,
                        'data-placeholder' => ' '
                    ],
                ]);
                ?>
            </div>

            <div class="col-md-6">
                <?php
                echo $this->WebcilForm->input('Fiche.paysDestinataireHorsUe', [
                    'options' => Fiche::LISTE_PAYS_HORS_UE,
                    'class' => 'transformSelect form-control fieldReadonly',
                    'placeholder' => false,
                    'empty' => true,
                    'required' => true,
                    'readonly' => true,
                    'data-placeholder' => ' '
                ]);
                ?>
            </div>
        </div>

        <div id="AddOrganismeHorsUE">
            <a id="AddOrganismeHorsUEFileBox" class="btn btn-info">Ajouter un organisme hors de l'UE</a>
            <br><br>
        </div>
    </div>

    <hr>

    <div class="row">
        <!-- Colonne de gauche -->
        <div class="col-md-8">
            <?php
            echo $this->WebcilForm->input('usedonneessensible', [
                'id' => 'usedonneessensible',
                'options' => [
                    true => 'Oui',
                    false => 'Non'
                ],
                'class' => 'transformSelect form-control',
                'placeholder' => false,
                'empty' => $empty,
                'required' => true,
                'data-placeholder' => ' '
            ]);
            ?>
        </div>

        <div class="col-md-4"></div>
    </div>

    <div id="infoSupDonneesSensibles" class="row">
        <div class="alert alert-warning" role="alert">
            <?php
            echo __d('formulaire', 'formulaire.infoWarningDonneesSensibles');
            ?>
        </div>

        <!-- Information concernant les données sensibles -->
        <div class="col-md-12" style="background-color: #f5f3f3;">
            <div class="col-md-12">
                <span class='labelFormulaire'>
                    <?php
                    echo __d('fiche', 'fiche.textInfoDonneesSensiblesComplementaire');
                    ?>
                </span>
                <div class="row row35"></div>
            </div>

            <div class="col-md-6">
                <?php
                echo $this->WebcilForm->inputs([
                    'Fiche.typeDonneeSensible' => [
                        'options' => Fiche::LISTE_DONNEES_SENSIBLES,
                        'class' => 'transformSelect form-control fieldReadonly',
                        'placeholder' => false,
                        'empty' => true,
                        'required' => true,
                        'readonly' => true,
                        'data-placeholder' => ' '
                    ],
                    'Fiche.dureeConservation' => [
                        'type' => 'textarea',
                        'required' => true,
                        'placeholder' => false,
                        'readonly' => true,
                    ]
                ]);
                ?>
            </div>

            <div class="col-md-6">
                <?php
                echo $this->WebcilForm->input('Fiche.descriptionDonneSensible', [
                    'type' => 'textarea',
                    'required' => true,
                    'placeholder' => false,
                    'readonly' => true,
                ]);
                ?>
            </div>
        </div>

        <div id="AddDonneesSensibles">
            <a id="AddDonneesSensiblesFileBox" class="btn btn-info">Ajouter données sensibles</a>
            <br><br>
        </div>
    </div>
</div>

<script type="text/javascript">

    $(document).ready(function () {

        showOrHide($('#usesousfinalite').val(), $('#infoSousFinalite'));
        $('#usesousfinalite').change(function () {
            showOrHide($(this).val(), $('#infoSupSousFinalite'));
        });

        showOrHide($('#usebaselegale').val(), $('#infoSupBaseLegale'));
        $('#usebaselegale').change(function () {
            showOrHide($(this).val(), $('#infoSupBaseLegale'));
        });

        showOrHide($('#usedecisionautomatisee').val(), $('#infoSupDecisionAutomatisee'));
        $('#usedecisionautomatisee').change(function () {
            showOrHide($(this).val(), $('#infoSupDecisionAutomatisee'));
        });

        showOrHide($('#useTransfertHorsUe').val(), $('#infoSupTransfertHorsUe'));
        $('#useTransfertHorsUe').change(function () {
            showOrHide($(this).val(), $('#infoSupTransfertHorsUe'));
        });

        showOrHide($('#usedonneessensible').val(), $('#infoSupDonneesSensibles'));
        $('#usedonneessensible').change(function () {
            showOrHide($(this).val(), $('#infoSupDonneesSensibles'));
        });

        $('#info_complementaire .fieldReadonly').change(function () {
            $(this).find('input[type="checkbox"]').each(function () {
                $(this).attr('checked', false);
            });

            $(this).val(null);
        });

    });

    function showOrHide(val, field)
    {
        if (val == true) {
            $(field).show();
        } else {
            $(field).hide();
        }
    }

</script>