<!-- Pop-up de modification de la position d'un traitement pour la génération -->
<div class="modal fade" id="modalChangerPosition" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>

                <h4 class="modal-title" id="myModalLabel">
                    <?php
                    echo __d('registre', 'registre.popupPositionnement');
                    ?>
                </h4>
            </div>
            <div class="modal-body">
                <table class="table" id="render">
                    <!-- Titre tableau -->
                    <thead>
                        <tr>
                            <!-- Positionnement -->
                            <th class="col-md-1">
                                <?php
                                echo __d('registre', 'registre.textTableauPositionTraitement');
                                ?>
                            </th>

                            <!-- Numéro d'enregistrement -->
                            <th class="col-md-1">
                                <?php
                                echo __d('registre', 'registre.textTableauNumeroEnregistrement');
                                ?>
                            </th>

                            <!-- Nom du traitement -->
                            <th class="col-md-3">
                                <?php
                                echo __d('registre', 'registre.titreTableauNomTraitement');
                                ?>
                            </th>
                        </tr>
                    </thead>

                    <tbody>
                    </tbody>
                </table>
            </div>

            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" class="btn btn-default-default" data-dismiss="modal">
                        <i class="fa fa-times-circle fa-lg"><!----></i>
                        <?php echo __d('default', 'default.btnAnnuler'); ?>
                    </button>

                    <?php
                    echo $this->Form->button('<span class="fa fa-cogs fa-lg">&nbsp;</span>' . __d('registre', 'registre.btnGenerer'), [
                        'onclick' => "sendDataExtrait()",
                        'class' => 'btn btn-default-primary pull-left btn_popupGenerer'
                    ]);

                    echo $this->Form->button('<span class="fa fa-download fa-lg">&nbsp;</span>' . __d('registre', 'registre.btnTélécharger'), [
                        'onclick' => "sendData()",
                        'class' => 'btn btn-default-primary pull-left btn_popupTelecharger'
                    ]);

                    echo $this->Form->button('<span class="fa fa-cogs fa-lg">&nbsp;</span>' . __d('registre', 'registre.btnGenerer'), [
                        'onclick' => "sendDataDeclaration()",
                        'class' => 'btn btn-default-primary pull-left btn_popupGenererNonVerrouiller'
                    ]);

                    echo $this->Form->button('<span class="fa fa-download fa-lg">&nbsp;</span>' . __d('registre', 'registre.btnExport'), [
                        'onclick' => "sendDataExport()",
                        'class' => 'btn btn-default-primary pull-left btn_popupExportCsv'
                    ]);
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>