<?php
/**
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 * @copyright     Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       app.View.Layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       http://www.opensource.org/licenses/mit-license.php MIT License
 */

$cakeDescription = 'web-DPO';
?>

<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>
        <?php echo $cakeDescription ?>
    </title>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php
    //CSS
    echo $this->Html->css('ls-bootstrap-4.css');
    echo $this->Html->css('/js/components-font-awesome/css/font-awesome.min.css');
    // JS
    echo $this->Html->script('fadeflash.js', ['inline' => false]);
    ?>

    <style>
        .forgot-passwd-lnk {
            display: none;
        }

          #flasherror {
            position: absolute;
            top: 0;
            left: 35%;
            right: 35%;
            border: 1px solid #D9534F;
            z-index: 20;
            max-width: 483px;
          }
    </style>
</head>

<body>
    <?php
    echo $this->Flash->render();
    //$this->Flash->render('auth');
    echo $this->fetch('content');

    //JS
    echo $this->Html->script('ls-elements.js');
    ?>

    <!-- Footer Libriciel SCOP -->
    <ls-lib-footer
            class="ls-login-footer ls-footer-fixed-bottom"
            active="webdpo"
            application_name="<?php echo $cakeDescription . ' ' . VERSION . " / "; ?>">
    </ls-lib-footer>
    </body>
</html>
