<h3>
    <?php
    echo("Informations propres au paramétrage de l'organisation");
    ?>
</h3>

<hr/>

<?php
if (!empty($variablesOrganisation['Entite'])) {
    ?>
    <!-- Tableau de l'entité -->
    <table class="table">
        <h4>
            <?php
            echo __d('modele_presentation', 'modele_presentation.sousTitreEntité');
            ?>
        </h4>

        <thead>
        <tr>
            <th class="thleft col-md-5">
                <?php
                echo __d('modele_presentation', 'modele_presentation.titreTableauNomChamp');
                ?>
            </th>

            <th class="thleft col-md-5">
                <?php
                echo __d('modele_presentation', 'modele_presentation.titreTableauNomVariable');
                ?>
            </th>

            <th class="thleft col-md-5">
                <?php
                echo __d('modele_presentation', 'modele_presentation.titreTableauValeur');
                ?>
            </th>
        </tr>
        </thead>

        <tbody>
        <?php
        foreach ($variablesOrganisation['Entite'] as $keyEntite => $entite) {
            foreach ($entite as $variable => $value) {
                ?>
                <tr>
                    <td class="tdleft">
                        <?php
                        echo __d('organisation', 'organisation.champ' . ucfirst($keyEntite));
                        ?>
                    </td>

                    <td class="tdleft">
                        <?php
                        echo $variable;
                        ?>
                    </td>

                    <td class="tdleft">
                        <?php
                        echo $value;
                        ?>
                    </td>
                </tr>
                <?php
            }
        }
        ?>
        </tbody>
    </table>

    <br>
    <?php
} else {
    echo __d('modele_presentation', 'modele_presentation.textAucuneEntite');
}

if (!empty($variablesOrganisation['Responsable'])) {
    ?>
    <!-- Tableau du responsable l'organisation -->
    <table class="table">
        <h4>
            <?php
            echo __d('modele_presentation', 'modele_presentation.sousTitreResponsableEntité');
            ?>
        </h4>

        <thead>
        <tr>
            <th class="thleft col-md-5">
                <?php
                echo __d('modele_presentation', 'modele_presentation.titreTableauNomChamp');
                ?>
            </th>

            <th class="thleft col-md-5">
                <?php
                echo __d('modele_presentation', 'modele_presentation.titreTableauNomVariable');
                ?>
            </th>

            <th class="thleft col-md-5">
                <?php
                echo __d('modele_presentation', 'modele_presentation.titreTableauValeur');
                ?>
            </th>
        </tr>
        </thead>

        <tbody>
        <?php
        foreach ($variablesOrganisation['Responsable'] as $keyResponsable => $responsable) {
            foreach ($responsable as $variable => $value) {
                ?>
                <tr>
                    <td class="tdleft">
                        <?php
                        echo __d('organisation', 'organisation.champ' . ucfirst($keyResponsable));
                        ?>
                    </td>

                    <td class="tdleft">
                        <?php
                        echo $variable;
                        ?>
                    </td>

                    <td class="tdleft">
                        <?php
                        echo $value;
                        ?>
                    </td>
                </tr>
                <?php
            }
        }
        ?>
        </tbody>
    </table>

    <br>
    <?php
} else {
    echo __d('modele_presentation', 'modele_presentation.textAucuneEntite');
}

// Logo DPO
if (file_exists(IMAGES . DS . 'logo_dpo.svg')) {
    echo $this->Html->image('logo_dpo.svg', [
        'class' => 'logo-well',
    ]);
} else {
    ?>
    <h4>
        <?php echo __d('modele_presentation', 'modele_presentation.sousTitreDPO'); ?>
    </h4>
    <?php
}

if (!empty($variablesOrganisation['Dpo'])) {
    ?>
    <!-- Tableau du DPO -->
    <table class="table">
        <thead>
        <tr>
            <th class="thleft col-md-5">
                <?php
                echo __d('modele_presentation', 'modele_presentation.titreTableauNomChamp');
                ?>
            </th>

            <th class="thleft col-md-5">
                <?php
                echo __d('modele_presentation', 'modele_presentation.titreTableauNomVariable');
                ?>
            </th>

            <th class="thleft col-md-5">
                <?php
                echo __d('modele_presentation', 'modele_presentation.titreTableauValeur');
                ?>
            </th>
        </tr>
        </thead>

        <tbody>
        <?php
        foreach ($variablesOrganisation['Dpo'] as $keyDpo => $dpo) {
            foreach ($dpo as $variable => $value) {
                ?>
                <tr>
                    <td class="tdleft">
                        <?php
                        echo __d('user', 'user.champ' . ucfirst($keyDpo));
                        ?>
                    </td>

                    <td class="tdleft">
                        <?php
                        echo $variable;
                        ?>
                    </td>

                    <td class="tdleft">
                        <?php
                        echo $value;
                        ?>
                    </td>
                </tr>
                <?php
            }
        }
        ?>
        </tbody>
    </table>
    <?php
}
?>

<br/>

<h3>
    <?php
    echo("Traitements générés");
    ?>
</h3>

<hr/>

<!-- Texte section warning -->
<div class="alert alert-warning" role="alert">
    <?php
    echo __d('modele_presentation', 'modele_presentation.textInformationSectionTraitementGenere');
    ?>
</div>

<!-- Tableau annexe -->
<table class="table">
    <thead>
    <tr>
        <th class="thleft col-md-10">
            <?php
            echo __d('modele_presentation', 'modele_presentation.titreTableauNomChamp');
            ?>
        </th>

        <th class="thleft col-md-10">
            <?php
            echo __d('modele_presentation', 'modele_presentation.titreTableauNomVariable');
            ?>
        </th>
    </tr>
    </thead>

    <tbody>
    <tr>
        <td class="tdleft">
            <?php
            echo __d('modele_presentation', 'modele_presentation.textTableauTraitementsGeneres');
            ?>
        </td>

        <td class="tdleft">
            <?php
            echo "traitement_genere";
            ?>
        </td>
    </tr>
    </tbody>
</table>

<!-- Bouton Retour -->
<div class="row">
    <div class="col-md-12 top17 text-center">
        <div class="btn-group">
            <?php
            echo $this->Html->link('<i class="fa fa-arrow-left fa-lg"><!----></i>' . __d('default', 'default.btnRetour'), $referer, array(
                'class' => 'btn btn-default-default',
                'escape' => false
            ));
            ?>
        </div>
    </div>
</div>