<?php
echo $this->Html->script([
    'pannel.js',
    'filtre.js'
]);

echo $this->Html->css('filtre.css');

// Bouton du filtre de la liste
echo $this->Form->button('<span class="fa fa-filter fa-lg"><!----></span>' . __d('pannel', 'pannel.btnFiltreAllTraitements'), [
    'type' => 'button',
    'class' => 'btn btn-default-default pull-right',
    'id' => 'filtrage'
]);

$filters = $this->request->data;
//unset($filters['sort'], $filters['direction'], $filters['page'], $filters['Soustraitant']['nbAffichage']);
//if(empty($filters['Soustraitant'])) {
//    unset($filters['Soustraitant']);
//}
?>

<br>
<br>
<br>

<div id="divFiltrage" <?php if(true === empty($filters)) {echo 'style="display: none;"';}?>>
    <?php
    echo $this->Form->create('Filtre', [
        'url' => [
            'controller' => $this->request->params['controller'],
            'action' => $this->request->params['action']
        ], 'class' => 'search-form'
    ]);
    ?>

    <div class="row">
        <?php
        // Filtrer par Etat du traitement
        echo $this->Form->input('filtreEtatTraitement', [
            'options' => $options['etatTraitement'],
            'class' => 'usersDeroulant transformSelect form-control',
            'empty' => true,
            'label' => __d('pannel', 'pannel.champFiltreEtatTraitement'),
            'data-placeholder' => __d('pannel', 'pannel.placeholderSelectionnerEtatTraitement'),
            'multiple' => true,
            'before' => '<div class="col-md-6">',
            'after' => '</div>'
        ]);
        ?>
    </div>

    <!-- Groupe de bouton -->
    <div class="row top30">
        <div class="col-md-4 col-md-offset-5 btn-group">
            <?php
            // Bouton Réinitialiser le filtre
            echo $this->Html->link('<i class="fa fa-undo fa-lg"><!----></i> ' . __d('registre', 'registre.btnReinitialiserFiltre'), [
                'controller' => $this->request->params['controller'],
                'action' => $this->request->params['action']
            ],[
                'class' => 'btn btn-default-danger',  //search-reset
                'escape' => false,
            ]);

            // Bouton Appliquer les filtres
            echo $this->Form->button('<i class="fa fa-filter fa-lg"><!----></i> ' . __d('registre', 'registre.btnFiltre'), [
                'type' => 'submit',
                'class' => 'btn btn-default-primary'
            ]);
            ?>
        </div>
    </div>

    <?php
    echo $this->Form->end();
    ?>
</div>

<?php
$params = ['limit' => false];

// Banette mes déclarations en cours d'initialisation
echo $this->Banettes->allTraitement($banettes['allTraitements'], $params);