<?php
echo $this->Html->script('pannel.js');

$params = ['limit' => false];

// Banette mes déclarations en cours d'initialisation
echo $this->Banettes->initialisationTraitement($banettes['initialisation'], $params);

// Pop-up envoie redacteur
echo $this->element(
    'modal',
    [
        'modalId' => 'modalSendRedaction',
        'content' => [
            'title' => __d('pannel', 'pannel.popupEnvoyerTraitementRedaction'),
            'body' => $this->Html->tag(
                'div',
                $this->Form->create('EtatFiche', ['url' => [
                    'controller' => 'EtatFiches',
                    'action' => 'sendRedaction'
                ]])
                .$this->Form->input('destinataire', [
                    'class' => 'form-control usersDeroulant transformSelect form-control bottom5',
                    'label' => [
                        'text' => __d('pannel', 'pannel.textSelectUserRedacteur') . '<span class="requis">*</span>',
                        'class' => 'col-md-4 control-label'
                    ],
                    'options' => $redacteurs,
                    'empty' => __d('pannel', 'pannel.textSelectUserRedacteur'),
                    'between' => '<div class="col-md-8">',
                    'after' => '</div>',
                    'required' => true,
                    'autocomplete' => 'off',
                    'id' => 'destinataireRedacteur'
                ])
                .'<br>'
                .$this->Form->hidden('ficheNum', ['id' => 'ficheNumVal'])
                .$this->Form->hidden('etatFiche', ['id' => 'etatFicheVal']),
                ['class' => 'form-group']
            ),
            'footer' => $this->Html->tag(
                'div',
                $this->Form->button(
                    '<i class="fa fa-times-circle fa-lg">&nbsp;</i>'
                    .__d('default', 'default.btnAnnuler'),
                    ['class' => 'btn btn-default-default', 'data-dismiss' => 'modal']
                )
                .$this->Form->button("<i class='fa fa-send fa-lg'><!----></i>" . __d('default', 'default.btnEnvoyer'), [
                    'type' => 'submit',
                    'class' => 'btn btn-default-success',
                    'escape' => false
                ]),
                ['class' => 'btn-group']
            )
            .$this->Form->end()
        ]
    ]
);

echo $this->element('Default/modalInitialisationTraitement');