<div class="col-md-2">
    <ul class="nav nav-pills nav-stacked">
        <?php
        if ($this->Autorisation->authorized(12, $droits)) {
            ?>
            <li class="active">
                <a href="#onglet_generale" role="tab" data-toggle="tab">
                    <?php
                    echo __d('default', 'default.titreGenerale');
                    ?>
                </a>
            </li>
            <?php
        }

        if ($this->Autorisation->authorized([4, 7], $droits)) {
            ?>
            <li>
                <a href="#onglet_registre" role="tab" data-toggle="tab">
                    <?php
                    echo __d('default', 'default.titreRegistre');
                    ?>
                </a>
            </li>
            <?php
        }

        if ($this->Autorisation->authorized([5, 12], $droits)) {
            ?>
            <li>
                <a href="#onglet_formulaire" role="tab" data-toggle="tab">
                    <?php
                    echo __d('default', 'default.sousTitreFormulaire');
                    ?>
                </a>
            </li>
            <?php
        }

        if ($this->Autorisation->authorized([5, 12], $droits)) {
            ?>
            <li>
                <a href="#onglet_modeles" role="tab" data-toggle="tab">
                    <?php
                    echo __d('default', 'default.titreModeles');
                    ?>
                </a>
            </li>
            <?php
        }

        if ($this->Autorisation->authorized([8, 9, 10, 13, 14, 15, 16, 17, 18], $droits)) {
            ?>
            <li>
                <a href="#onglet_administrationUser" role="tab" data-toggle="tab">
                    <?php
                    echo __d('default', 'default.titreAdministrationUser');
                    ?>
                </a>
            </li>
            <?php
        }

        if ($this->Autorisation->authorized([19, 21, 22], $droits)) {
            ?>
            <li>
                <a href="#onglet_normes" role="tab" data-toggle="tab">
                    <?php
                    echo __d('default', 'default.titreNormes');
                    ?>
                </a>
            </li>
            <?php
        }

        if ($this->Autorisation->authorized(23, $droits)) {
            ?>
            <li>
                <a href="#onglet_sousTraitant" role="tab" data-toggle="tab">
                    <?php
                    echo __d('default', 'default.titreSousTraitant');
                    ?>
                </a>
            </li>
            <?php
        }

        if ($this->Autorisation->authorized(24, $droits)) {
            ?>
            <li>
                <a href="#onglet_responsable" role="tab" data-toggle="tab">
                    <?php
                    echo __d('default', 'default.titreResponsable');
                    ?>
                </a>
            </li>
            <?php
        }

        if ($this->Autorisation->authorized(25, $droits)) {
            ?>
            <li>
                <a href="#onglet_maintenance" role="tab" data-toggle="tab">
                    <?php
                    echo __d('default', 'default.titreMaintenance');
                    ?>
                </a>
            </li>
            <?php
        }
        ?>
    </ul>
</div>

<div class="col-md-9">
    <div class="tab-content">
        <?php
        if ($this->Autorisation->authorized(12, $droits)) {
            ?>
            <div id="onglet_generale" class="tab-pane active">
                <div class="col-md-12">
                    <a type="button" class="btn btn-default-menu"
                       href="/organisations/edit/<?php echo $this->Session->read('Organisation.id'); ?>">
                        <div class="fa fa-building-o fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.sousTitreGeneraleEntite');
                            ?>
                        </div>
                    </a>

                    <a type="button" class="btn btn-default-menu" href="/organisations/politiquepassword/">
                        <div class="fa fa-lock fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.sousTitrePassword');
                            ?>
                        </div>
                    </a>
                </div>
            </div>
            <?php
        }

        if ($this->Autorisation->authorized([4, 7], $droits)) {
            ?>
            <div id="onglet_registre" class="tab-pane">
                <div class="col-md-12">
                    <a type="button" class="btn btn-default-menu" href="/registres/index/">
                        <div class="fa fa-book fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.titreRegistre');
                            ?>
                        </div>
                    </a>
                </div>
            </div>
        <?php
        }

        if ($this->Autorisation->authorized([5, 12], $droits)) {
            ?>
            <div id="onglet_formulaire" class="tab-pane">
                <div class="col-md-12">
                    <a type="button" class="btn btn-default-menu" href="/formulaires/index/">
                        <div class="fa fa-file-text-o fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.sousTitreMesFormulaire');
                            ?>
                        </div>
                    </a>
                </div>
            </div>
            <?php
        }

        if ($this->Autorisation->authorized([5, 12], $droits)) {
            ?>
            <div id="onglet_modeles" class="tab-pane">
                <div class="col-md-12">
                    <a type="button" class="btn btn-default-menu" href="/modeles/index/">
                        <div class="fa icon-icone_modele_black fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.sousTitreModeleFormulaire');
                            ?>
                        </div>
                    </a>

                    <a type="button" class="btn btn-default-menu" href="/modeleExtraitRegistres/index/">
                        <div class="fa icon-icone_modele_black fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.sousTitreModeleExtraitRegistre');
                            ?>
                        </div>
                    </a>
                </div>
            </div>
            <?php
        }

        if ($this->Autorisation->authorized([8, 9, 10, 13, 14, 15, 16, 17, 18], $droits)) {
            ?>
            <div id="onglet_administrationUser" class="tab-pane">
                <div class="col-md-12">
                    <?php
                    if ($this->Autorisation->authorized([13, 14, 15], $droits)) {
                        ?>
                        <a type="button" class="btn btn-default-menu" href="/roles/index/">
                            <div class="fa fa-users fa-primary fa-2x"></div>

                            <div>
                                <?php
                                echo __d('default', 'default.sousTitreProfils');
                                ?>
                            </div>
                        </a>
                        <?php
                    }

                    if ($this->Autorisation->authorized([16, 17, 18], $droits)) {
                        ?>
                        <a type="button" class="btn btn-default-menu" href="/services/index/">
                            <div class="fa fa-sitemap fa-primary fa-2x"></div>

                            <div>
                                <?php
                                echo __d('default', 'default.sousTitreServices');
                                ?>
                            </div>
                        </a>
                        <?php
                    }

                    if ($this->Autorisation->authorized([8, 9, 10], $droits)) {
                        ?>
                        <a type="button" class="btn btn-default-menu" href="/users/index/">
                            <div class="fa fa-user fa-primary fa-2x"></div>

                            <div>
                                <?php
                                echo __d('default', 'default.sousTitreUser');
                                ?>
                            </div>
                        </a>
                        <?php
                    }
                    ?>
                </div>
            </div>
            <?php
        }

        if ($this->Autorisation->authorized([19, 21, 22], $droits)) {
            ?>
            <div id="onglet_normes" class="tab-pane">

                <div class="col-md-12">
                    <a type="button" class="btn btn-default-menu" href="/normes/index/">
                        <div class="fa fa-certificate fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.sousTitreLesNormes');
                            ?>
                        </div>
                    </a>
                </div>
            </div>
            <?php
        }

        if ($this->Autorisation->authorized(23, $droits)) {
            ?>
            <div id="onglet_sousTraitant" class="tab-pane">
                <div class="col-md-12">
                    <a type="button" class="btn btn-default-menu" href="/soustraitants/index/">
                        <div class="fa fa-list-alt fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.sousTitreLesSousTraitants');
                            ?>
                        </div>
                    </a>

                    <a type="button" class="btn btn-default-menu" href="/soustraitants/entite/">
                        <div class="fa fa-link fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.sousTitreMesSousTraitants');
                            ?>
                        </div>
                    </a>
                </div>
            </div>
            <?php
        }

        if ($this->Autorisation->authorized(24, $droits)) {
            ?>
            <div id="onglet_responsable" class="tab-pane">

                <div class="col-md-12">
                    <a type="button" class="btn btn-default-menu" href="/responsables/index/">
                        <div class="fa fa-list-alt fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.sousTitreListeResponsable');
                            ?>
                        </div>
                    </a>

                    <a type="button" class="btn btn-default-menu" href="/responsables/entite/">
                        <div class="fa fa-link fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.sousTitreMesResponsables');
                            ?>
                        </div>
                    </a>
                </div>
            </div>
            <?php
        }

        if ($this->Autorisation->authorized(25, $droits)) {
            ?>
            <div id="onglet_maintenance" class="tab-pane">

                <div class="col-md-12">
                    <a type="button" class="btn btn-default-menu" href="/connecteurs/index/">
                        <div class="fa fa-plug fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.sousTitreConnecteurs');
                            ?>
                        </div>
                    </a>

                    <a type="button" class="btn btn-default-menu" href="/crons/index/">
                        <div class="fa fa-clock-o fa-primary fa-2x"></div>

                        <div>
                            <?php
                            echo __d('default', 'default.sousTitreTachesAutomatiques');
                            ?>
                        </div>
                    </a>
                </div>
            </div>
            <?php
        }
        ?>
    </div>
</div>