<?php
    $pagination = null;

    if (!empty($typages)) {
        $this->Paginator->options(
            array( 'url' => Hash::flatten( (array)$this->request->data, '.' ) )
        );
        $pagination = $this->element('pagination');

        echo $pagination;
        ?>
        <table class="table ">
            <thead>
                <tr>
                    <!--  Libelle-->
                    <th class="thleft col-md-10">
                        <?php echo __d('responsable', 'responsable.titreTableauResponsable'); ?>
                    </th>

                    <!-- Actions -->
                    <th class="thleft col-md-2">
                        <?php echo __d('responsable', 'responsable.titreTableauAction'); ?>
                    </th>
                </tr>
            </thead>

            <tbody>
                <?php
                foreach ($typages as $typage) {
                    ?>
                    <tr>
                        <!-- Libelle -->
                        <td>
                            <?php 
                                echo $typage['Typage']['libelle'];
                            ?>
                        </td>

                        <!-- Actions -->
                        <td>
                            <div class="btn-group">
                                <?php
                                    echo $this->Html->link('<span class="fa fa-chain-broken fa-lg"><!----></span>', [
                                        'controller' => 'typages',
                                        'action' => 'dissocier',
                                        $typage['Typage']['id']
                                    ], [
                                        'class' => 'btn btn-default-danger btn-sm my-tooltip',
                                        'escapeTitle' => false,
                                        'title' => __d('typage', 'typage.btnDissocier')
                                    ], __d('typage', 'typage.confirmationDissocierType') . ' " ' . $typage['Typage']['libelle'] . ' " de votre entité ?');
                                ?>
                            </div>
                        </td>
                    </tr>
                    <?php
                }
                ?>
            </tbody>
        </table>
        <?php
        echo $pagination;
    } else {
        ?>
        <div class='text-center'>
                <h3>
                    <?php
                    echo __d('typage', 'typage.textAucunTypageEntite');
                    ?>
                </h3>
        </div>
        <?php
    }
