// -----------------------------------------------------------------------------
var addSousFinalite = function(idField) {

    //on add input button click
    $('#AddMoreFileBox').click(function (e) {
        //add input box
        $('#InputsWrapper').append('<div class="form-group"><label for="sousfinalite" class="col-md-4 control-label">Sous finalité '+idField+'</label><div class="col-md-8"><input name="data[WebdpoFiche][sousFinalite][]" id="sousFinalite_'+ idField +'" class="form-control" type="text"><a href="#" class="removeclass"><span class="fa fa-trash fa-lg fa-danger"><!----></span></a></div></div>');

        idField++;
    });

    //user click on remove text
    $('body').on('click', '.removeclass', function(e) {
        var idInputDelete = $(this).siblings().first().attr('id');
        var intIdInputDelete = parseInt(idInputDelete.substr(idInputDelete.indexOf("_") + 1));
        var i = intIdInputDelete + 1;

        $(this).parent('div').parent('div').remove(); //remove text box

        while (i <= idField) {
            var newValue = (i - 1);

            $('#sousFinalite_'+i).parent('div').siblings().first().text('Sous finalité '+ newValue);
            $('#sousFinalite_'+i).attr('id', 'sousFinalite_'+newValue);

            i++;
        }

        idField--;
    });
};
// -----------------------------------------------------------------------------

// -----------------------------------------------------------------------------
var addDecisionAutomatisee = function() {
    $('#decisionAutomatisee').change(function () {
        var select = $(this).val();

        displayDescriptionDecisionAutomatisee(select);
    });
};

function displayDescriptionDecisionAutomatisee(val){
    if (val == 'Oui') {
        $('#descriptionDecisionAutomatisee').parent().parent().show();
    } else {
        $('#descriptionDecisionAutomatisee').parent().parent().hide();
        // $('#descriptionDecisionAutomatisee').val('');
    }
}
// -----------------------------------------------------------------------------

// -----------------------------------------------------------------------------
var addHorsUE = function(idHorsUE) {
    $('#transfert_hors_ue').change(function () {
        var select = $(this).val();

        displayInfoSupHorsUE(select);
    });

    //on add input button click
    $('#AddOrganismeHorsUEFileBox').click(function (e) {
        createInputsInfoSupHorsUe(idHorsUE);

        idHorsUE++;

        makeUsersDeroulant();
    });

    //user click on remove text
    $('body').on('click', '.removeHorsUE', function(e) {
        var idInputDeleteHorsUE = $(this).parent('div').parent('div').attr('id');
        var intIdInputDeleteHorsUE = parseInt(idInputDeleteHorsUE.substr(idInputDeleteHorsUE.indexOf("_") + 1));
        var i = intIdInputDeleteHorsUE + 1;

        // On supprime de groupe de champ
        $('#HorsUe_'+intIdInputDeleteHorsUE).remove();

        while (i < idHorsUE) {
            var newValue = (i - 1);

            var destinataireHorsUe = $('#FicheHorsue'+i+'OrganismeDestinataireHorsUe').val();
            var typeGarantieHorsUe = $('#FicheHorsue'+i+'TypeGarantieHorsUe').val();
            var paysDestinataireHorsUe = $('#FicheHorsue'+i+'PaysDestinataireHorsUe').val();

            $('#HorsUe_'+i).remove();

            createInputsInfoSupHorsUe(newValue);

            $('#FicheHorsue'+newValue+'OrganismeDestinataireHorsUe').val(destinataireHorsUe);
            $('#FicheHorsue'+newValue+'TypeGarantieHorsUe').val(typeGarantieHorsUe);
            $('#FicheHorsue'+newValue+'PaysDestinataireHorsUe').val(paysDestinataireHorsUe);

            makeUsersDeroulant();

            i++;
        }

        idHorsUE--;
    });
};

function displayInfoSupHorsUE(val){
    if (val == true) {
        $('#infoSupHorsUE').show();
    } else {
        $('#infoSupHorsUE').hide();
    }
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
var addDonneeSensible = function(idDonneesSensibles) {
    // $('#donneesSensible').change(function () {
    $('#donnees_sensibles').change(function () {
        var select = $(this).val();

        displayInfoSupDonneesSensibles(select);
    });

    // on add input button click
    $('#AddDonneesSensibles').click(function (e) {
        createInputsInfoSupDonneeSensible(idDonneesSensibles);

        idDonneesSensibles++;

        makeUsersDeroulant();
    });

    //user click on remove text
    $('body').on('click', '.removeDonneeSensible', function (e) {
        var idInputDeleteDonneeSensible = $(this).parent('div').parent('div').attr('id');
        var intIdInputDeleteDonneeSensible = parseInt(idInputDeleteDonneeSensible.substr(idInputDeleteDonneeSensible.indexOf("_") + 1));
        var i = intIdInputDeleteDonneeSensible + 1;

        // On supprime de groupe de champ
        $('#DonneeSensible_' + intIdInputDeleteDonneeSensible).remove();

        while (i < idDonneesSensibles) {
            var newValue = (i - 1);

            var typeDonneeSensible = $('#FicheDonneessensibles' + i + 'TypeDonneeSensible').val();
            var dureeConservationDonneeSensible = $('#FicheDonneessensibles' + i + 'DescriptionDonneeSensible').val();
            var descriptionDonneeSensible = $('#FicheDonneessensibles' + i + 'DureeConservationDonneeSensible').val();

            $('#DonneeSensible_' + i).remove();

            createInputsInfoSupDonneeSensible(newValue);

            $('#FicheDonneessensibles' + newValue + 'TypeDonneeSensible').val(typeDonneeSensible);
            $('#FicheDonneessensibles' + newValue + 'DescriptionDonneeSensible').val(dureeConservationDonneeSensible);
            $('#FicheDonneessensibles' + newValue + 'DureeConservationDonneeSensible').val(descriptionDonneeSensible);

            makeUsersDeroulant();

            i++;
        }

        idDonneesSensibles--;
    });
};

function displayInfoSupDonneesSensibles(val){
    if (val == true) {
        $('#infoSupDonneesSensibles').show();
    } else {
        $('#infoSupDonneesSensibles').hide();
    }
}
// -----------------------------------------------------------------------------